## bc 1.07.1

=== debian/changelog ===
bc (1.07.1-4) unstable; urgency=medium

  [ Gürkan Myczko ]
  * add d/clean so one can debuild several times (say with CC=clang)
    (Closes: #1043703)

  [ Ryan Kavanagh ]
  * Mark all patches as forwarded
  * wrap-and-sort packaging
  * Bump compat level to 13
  * Switch to gbp-pq
  * Fix implicit declarations in 05_notice_read_write_errors.diff that cause
    FTBFS (Closes: #1065375)
  * Bump standards version to 4.6.2, no changes required
  * Bump copyright years
  * Fix 04_info_dircategory.diff to actually set the info dircategory for dc
    to Math

 -- Ryan Kavanagh <rak@debian.org>  Wed, 13 Mar 2024 14:06:49 -0400

bc (1.07.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Ryan Kavanagh ]
  * drop unneeded phony target in rules
  * bump standards version to 4.6.0
  * bump copyright years
  * update homepage (Closes: #970615)
  * Set Rules-Requires-Root: no
  * Drop compat file in favour of debhelper-compat
  * Let gbp dch use meta tag information
  * Update watch file

 -- Ryan Kavanagh <rak@debian.org>  Wed, 01 Sep 2021 21:47:41 -0400

bc (1.07.1-2) unstable; urgency=medium

  * Fix circular dependency in Makefile, 08_no-make-circular-dependencies.diff
    Thanks: Steve Langasek (Closes: #889176)
  * Fix incorrect version mangling in watch file
  * Update Vcs-* fields to point to salsa
  * watch file now accesses ftp.gnu.org over https

 -- Ryan Kavanagh <rak@debian.org>  Thu, 22 Mar 2018 12:20:34 -0400

bc (1.07.1-1) unstable; urgency=medium

  * New upstream version 1.07.1
    + No longer crashes due to null pointer dereferencing in execute.c
      (Closes: #805372, #771382)
    + No longer prints an error message when interrupted (Closes: #442099)
  * Refreshed patches:
    + Drop 03_array_initialize.diff; applied upstream
  * Bump compat to 11 and debhelper version to >= 11
  * Bump standards version to 4.1.3
  * Make sure all licenses in copyright file have a unique name
  * Make Vcs-* URLs secure
  * Enable all hardening flags (Closes: #812703)
  * Simplify clean target
  * Added missing build-dependency on ed

 -- Ryan Kavanagh <rak@debian.org>  Wed, 03 Jan 2018 19:39:29 -0500
