=== debian/control ===
Source: bc
Section: math
Priority: standard
Maintainer: Ryan Kavanagh <rak@debian.org>
Standards-Version: 4.6.2
Build-Depends:
 bison,
 debhelper-compat (= 13),
 ed,
 file,
 flex,
 libreadline-dev | libreadline6-dev,
 texinfo,
Homepage: https://www.gnu.org/software/bc/
Vcs-Git: https://salsa.debian.org/debian/bc.git
Vcs-Browser: https://salsa.debian.org/debian/bc
Rules-Requires-Root: no

Package: bc
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: GNU bc arbitrary precision calculator language
 GNU bc is an interactive algebraic language with arbitrary precision which
 follows the POSIX 1003.2 draft standard, with several extensions including
 multi-character variable names, an `else' statement and full Boolean
 expressions.  GNU bc does not require the separate GNU dc program.

Package: dc
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: GNU dc arbitrary precision reverse-polish calculator
 GNU dc is a reverse-polish desk calculator which supports unlimited
 precision arithmetic.  It also allows you to define and call macros.
 .
 A reverse-polish calculator stores numbers on a stack. Entering a number
 pushes it on the stack.  Arithmetic operations pop arguments off the
 stack and push the results.
