=== debian/watch ===
version=4
    opts=pasv \
    https://ftp.gnu.org/pub/gnu/bc/bc-([0-9a-z.]+).tar.gz
