## bc 1.07.1.1

=== debian/changelog ===
bc (1.07.1.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 4064436cbc08fc059a905311342931796a8a97aa']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 16:47:37 +0000
