=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CFLAGS += -D_POSIX_SOURCE -DDOT_IS_LAST -DDONTEXIT

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --with-readline

override_dh_auto_build:
	(cd doc && makeinfo --html --no-split --ifinfo bc.texi)
	(cd doc && makeinfo --html --no-split --ifinfo dc.texi)
	dh_auto_build

.PHONY: restore
